﻿@model DisplayCategoryViewModel

<label for="Categories">
    @Html.DisplayNameFor(model => model)
    <span class="star">*</span>
    <a class="name-info" data-container="body" rel="popover" data-placement="top" data-content="Choose the category this class belongs to. Our visitors will use this category to search our database and find your class."></a>
</label>
<select id="Category_CategoryId" name="Category.CategoryId" class="pull-left">
    @foreach (var parent in Model.Categories.Where(p => p.ParentId == null).ToList())
    {
        // Remove parents that don't have any child
        if (Model.Categories.Any(p => p.ParentId == parent.Id))
        {
        <optgroup label="@parent.Name">
            @foreach (var category in Model.Categories.Where(p => p.ParentId == parent.Id).ToList().OrderBy(n => n.Name).OrderBy(o => o.Order).OrderByDescending(o => o.Order.HasValue))
            {
                var selected = @Model.CategoryId == @category.Id ? "selected=selected" : Model.ClubCategoryId == @category.Id ? "selected=selected" : "";
                <option value="@category.Id" @selected >@category.Name</option>
            }
        </optgroup>
        }
    }
</select>